<?php
/**
 * Plugin Name: PeepSo Core: (DEPRECATED) Location
 * Plugin URI: https://peepso.com
 * Description: PeepSo Location was merged with PeepSo Core. It is now safe to deactivate and delete PeepSo Location.
 * Author: PeepSo
 * Author URI: https://peepso.com
 * Version: 1.10.0
 * Copyright: (c) 2015 PeepSo, Inc. All Rights Reserved.
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: peepso-location
 * Domain Path: /language
 *
 * We are Open Source. You can redistribute and/or modify this software under the terms of the GNU General Public License (version 2 or later)
 * as published by the Free Software Foundation. See the GNU General Public License or the LICENSE file for more details.
 * This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.
 */

class PeepSoLocationDeprecated
{
	private static $_instance = NULL;

	const PLUGIN_VERSION = '1.10.0';
	const PLUGIN_RELEASE = ''; //ALPHA1, BETA1, RC1, '' for STABLE
	const SHORTCODE_TAG = 'peepso_geo';
    const PLUGIN_NAME = 'LocSo';
    const PLUGIN_SLUG = 'locso';
	const PEEPSOCOM_LICENSES = 'http://tiny.cc/peepso-licenses';

	const PLUGIN_EDD = 237;

	/**
	 * Initialize all variables, filters and actions
	 */
    private function __construct()
    {
        add_action('admin_notices', function() {
            ?>
            <div class="error peepso">
                <strong>PeepSo Location was merged into PeepSo, so it is now safe to deactivate and delete PeepSo</strong>
            </div>
            <?php
        });

        $admin_path = str_replace( get_bloginfo( 'url' ) . '/', ABSPATH, get_admin_url() );

        include_once( $admin_path . 'includes/plugin.php' );

        if(function_exists('deactivate_plugins')) {
            deactivate_plugins(__FILE__);
        }
    }

	/**
	 * Retrieve singleton class instance
	 * @return instance reference to plugin
	 */
	public static function get_instance()
	{
		if (NULL === self::$_instance)
			self::$_instance = new self();
		return (self::$_instance);
	}
}

PeepSoLocationDeprecated::get_instance();

// EOF
